textures/asian_skybox/skynaruto
{
	qer_editorimage "env/asian/skynaruto_bk.jpg"
	skyParms "env/asian/skynaruto" 128 -
	q3map_sunExt 1 0.6 0.3 300 300 25 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 80 3
	surfaceParm sky
	surfaceParm noImpact
	surfaceParm noLightmap
	surfaceParm noDLight
	noPicMip
	noMipMaps
}

textures/asian_skybox/sky
{
	qer_editorimage "env/asian/sky_up.jpg"
	skyParms "env/asian/sky" 128 -
	q3map_sunExt 1 0.6 0.3 300 300 25 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 80 3
	surfaceParm sky
	surfaceParm noImpact
	surfaceParm noLightmap
	surfaceParm noDLight
	noPicMip
	noMipMaps
}

textures/asian_misc/narutoholo
{
    qer_editorimage "textures/asian_misc/narutoholo.jpg"
	q3map_surfacelight 100
	deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm noimpact
    cull none
    {
		animmap 3 "textures/asian_misc/narutoholo.jpg" "textures/asian_misc/narutoholo.jpg" "textures/asian_misc/narutoholo.jpg""textures/asian_misc/narutoholo.jpg" "textures/asian_misc/narutoholo.jpg" "textures/asian_misc/narutoholo.jpg"
		blendfunc add
	}
}

models/mapobjects/ktrees/oak_leaf
{
 qer_alphaFunc greater 0.5
 qer_editorImage "models/mapobjects/ktrees/oak_leaf.tga"
 cull disable
 surfaceParm alphaShadow
 surfaceParm trans
 surfaceParm noMarks
 noPicMip
 deformVertexes wave 128 sin 1 1 0 .5
 {
  map $lightmap
  blendFunc GL_DST_COLOR GL_ZERO
  rgbGen identity
  tcmod scale .5 .5
  tcmod scroll 1 1
 }
 {
  map "models/mapobjects/ktrees/oak_leaf.tga"
  blendfunc blend
 }
}

textures/asian_misc/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_fancywater 1 0.75 0.75 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformVertexes wave 64 sin .25 .25 0 .5
	cull disable
	{
		map "textures/asian_misc/water"
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map "textures/asian_misc/water"
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/asian_misc/yellowglass
{
	qer_editorimage textures/asian_misc/yellowglass.jpg
	qer_trans .75
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm trans
	q3map_surfacelight 8000
	q3map_lightRGB 1 0.95 0.24
     
        {
		map textures/asian_misc/yellowglass_env.jpg
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}	
          
}

textures/asian_misc/white
{
	qer_editorimage textures/asian_misc/white.tga
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 9000
	q3map_lightRGB 1 0.95 0.24
     
        {
		map textures/asian_misc/white.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}	
          
}

models/mapobjects/asian/lantern
{
    cull none
    nopicmip

    {
        map models/mapobjects/asian/stone.jpg
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/asian_misc/waterfall
{	
	qer_editorimage textures/asian_misc/water04.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/asian_misc/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.9
		alphaGen Vertex
	}
}

textures/asian_misc/splash_1
{
	qer_editorimage textures/asian_misc/splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/asian_misc/splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758 
	}
}

textures/asian_misc/splash_2
{
	qer_editorimage textures/asian_misc/splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 27.9806 0 14.5417 sawtooth 0 1 0 1.00822 
	{
		clampmap textures/asian_misc/splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.6 -0.6 0 1.00822 
	}
}


textures/asian_misc/splash_3
{
	qer_editorimage textures/asian_misc/splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/asian_misc/splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/asian_misc/splash_4
{
	qer_editorimage textures/asian_misc/splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 12.4378 0 31.5161 sawtooth 0 1 0 1.02932 
	{
		clampmap textures/asian_misc/splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.6 -0.6 0 1.02932 
	}
}

textures/asian_misc/splash_5
{
	qer_editorimage textures/asian_misc/splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -34.8016 0 9.76785 sawtooth 0 1 0 0.958803 
	{
		clampmap textures/asian_misc/splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.6 -0.6 0 0.958803 
	}
}


textures/asian_misc/lampe
{
	qer_editorimage textures/asian_misc/lampe.jpg
	qer_trans .9
	surfaceparm nodamage
	q3map_surfacelight 60000
	q3map_lightRGB 1 0.95 0.24 
	{
	map "textures/asian_misc/lampe.jpg"
	blendFunc blend      
	}
}