// ======================================================================
// Wall
// ======================================================================
textures/dfwc2018/d_brick1a:q3map
{
	q3map_nonplanar
	q3map_shadeangle 45
}
textures/dfwc2018/d_brick1a_blend
{
	qer_editorimage textures/dfwc2018/d_brick1a_bl.tga	
	q3map_nonplanar
	q3map_shadeangle 179
	//q3map_clipModel	
	{
		map $lightmap
		rgbGen identity
	}	
	{
		map textures/dfwc2018/d_brick1a.tga
		rgbGen identity
	}
	{
		map textures/dfwc2018/d_brick1a_blend.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scale 1.00 1.00
		rgbGen identity
		alphaGen oneMinusVertex //v=grass
		//alphagen vertex //v=cliff
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/dfwc2018/d_line1a_ns:q3map
{
	qer_editorimage textures/dfwc2018/d_line1a
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_line1a
}
// ======================================================================
// Lamp
// ======================================================================
textures/dfwc2018/d_candle:candle
{
        surfaceparm nonsolid
}
textures/dfwc2018/d_lamp_metal1a:q3map
{
        surfaceparm nonsolid
}
textures/dfwc2018/d_lamp_metal1b:q3map
{
        surfaceparm nonsolid
}
textures/dfwc2018/d_lamp_metal1c
{
        qer_editorimage textures/dfwc2018/d_lamp_metal1c.tga
        surfaceparm nonsolid
		{
        map $lightmap
        rgbGen identity
        }
        {
        map textures/dfwc2018/d_lamp_metal1c.tga
        blendFunc GL_DST_COLOR GL_ZERO
        }
}
textures/dfwc2018/d_lamp_metal1d
{
        qer_editorimage textures/dfwc2018/d_lamp_metal1d.tga
        surfaceparm nonsolid
		{
        map $lightmap
        rgbGen identity
        }
        {
        map textures/dfwc2018/d_lamp_metal1d.tga
        blendFunc GL_DST_COLOR GL_ZERO
        }
}
// ======================================================================
// Non Solid
// ======================================================================
textures/dfwc2018/d_wall1a_ns:q3map
{
        qer_editorimage textures/dfwc2018/d_wall1a.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_wall1a
}
textures/dfwc2018/d_brick1d_ns:q3map
{
        surfaceparm nonsolid
}
textures/dfwc2018/d_column2a_ns
{
        qer_editorimage textures/dfwc2018/d_column2a.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_column2a
}
textures/dfwc2018/d_column2b_ns
{
        qer_editorimage textures/dfwc2018/d_column2b.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_column2b
}
textures/dfwc2018/d_trim2_ns:q3map
{
        qer_editorimage textures/dfwc2018/d_trim2.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_trim2
}
textures/dfwc2018/d_trim_ns:q3map
{
        qer_editorimage textures/dfwc2018/d_trim.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_trim
}
textures/dfwc2018/d_wood1a_ns:q3map
{
        qer_editorimage textures/dfwc2018/d_wood1a.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_wood1a
}
textures/dfwc2018/d_column1a_ns:q3map
{
        qer_editorimage textures/dfwc2018/d_column1a.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018/d_column1a
}
textures/dfwc2018/d_ter_rock1_ns:q3map
{
	qer_editorimage textures/dfwc2018_terrain/d_ter_rock1.tga
        surfaceparm nonsolid
	q3map_remapshader textures/dfwc2018_terrain/d_ter_rock1
}
// ======================================================================
// Water
// ======================================================================
textures/dfwc2018/d_water
	{
		qer_editorimage textures/dfwc2018/d_water1e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/dfwc2018/d_water1e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
		{ 
			map textures/dfwc2018/d_water2e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}
// ----------------------------------------------------------------------
textures/dfwc2018_terrain/realistic
{
	surfaceparm nolightmap
	//surfaceparm nonsolid
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/dfwc2018_terrain/d_ter_rock2.tga
		blendFunc GL_ZERO GL_SRC_COLOR
	}
}
// ======================================================================
// Decal
// ======================================================================
textures/dfwc2018_decal/d_arrow_left
{
	qer_editorimage textures/dfwc2018_decal/d_arrow_left.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_arrow_left.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_bunny
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_bunny.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_bunny_b
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_bunny_b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_speed
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_speed.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_esc
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_esc.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_netradiant
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_netradiant.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_sheet1a
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_sheet1a.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_waterfall
{
	qer_trans 0.90
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	sort 11
	deformvertexes wave 192 sin 0 1 0 .5
	{
		map textures/dfwc2018_decal/d_waterfall.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
		tcmod scroll 0 1
		//rgbgen identity
		//alphagen vertex
		rgbGen exactVertex
	}
}
textures/dfwc2018_decal/d_watersplash_test
{
	qer_editorimage textures/dfwc2018_decal/d_watersplash_test.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	{
		clampmap textures/dfwc2018_decal/d_watersplash_test.tga
		tcmod rotate 10
		tcMod stretch sawtooth 1 0.5 0.25 1.8
		rgbGen wave sin 0.35 0.35 0 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/dfwc2018_decal/d_watersplash_test.tga
		tcmod rotate -8
		tcMod stretch sawtooth 1 0.5 0.55 1.8
		rgbGen wave sin 0.35 0.35 0.3 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/dfwc2018_decal/d_watersplash_test.tga
		tcmod rotate 2
		tcMod stretch sawtooth 1 0.5 0.85 1.8
		rgbGen wave sin 0.35 0.35 0.6 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
}
textures/dfwc2018_decal/d_spray_a
{
	qer_editorimage textures/dfwc2018_decal/d_spray_a.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0 0 0 sawtooth 0 0 0 0
	sort 11
	{
		clampmap textures/dfwc2018_decal/d_spray_a.tga
		tcMod rotate 0.0
		AlphaGen wave sawtooth 1 -1 0.851161 0.5
		rgbGen wave sawtooth 1. 10 0.851161 0.5
		tcMod stretch sawtooth 0.4 1.5 0.851161 0.5
		blendfunc blend
	}
}
textures/dfwc2018_decal/d_watersplash
{
	qer_editorimage textures/dfwc2018_decal/d_watersplash_a.tga

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	cull disable
	{
		clampmap textures/dfwc2018_decal/d_watersplash_a.tga
		tcmod rotate 10
		tcMod stretch sawtooth 1 0.5 0.25 1.8
		rgbGen wave sin 0.35 0.35 0 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/dfwc2018_decal/d_watersplash_b.tga
		tcmod rotate -8
		tcMod stretch sawtooth 1 0.5 0.55 1.8
		rgbGen wave sin 0.35 0.35 0.3 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
	{
		clampmap textures/dfwc2018_decal/d_watersplash_c.tga
		tcmod rotate 2
		tcMod stretch sawtooth 1 0.5 0.85 1.8
		rgbGen wave sin 0.35 0.35 0.6 1.8	//func, amplitude, phase, freq
		blendFunc add
	}
}
textures/dfwc2018_decal/d_arrow1
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_arrow1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018/d_dfwc_title
{
	qer_editorimage textures/dfwc2018/d_dfwc_title.tga
	surfaceparm nonsolid

	{
		map textures/base_wall/chrome_env.tga
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/dfwc2018/d_dfwc_title.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/dfwc2018/d_grate
{
	qer_alphafunc greater .5
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	{
		map textures/dfwc2018/d_grate.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_pgico
{
	qer_editorimage textures/dfwc2018_decal/d_pgico.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_pgico.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/dfwc2018_decal/d_q3logo_df
{
	qer_editorimage textures/dfwc2018_decal/d_q3logo_df.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_q3logo_df.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_wall_dirty
{
	qer_alphafunc greater .5
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonoffset
	{
		map textures/dfwc2018_decal/d_wall_dirty.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/dfwc2018_decal/d_wall_damaged1a
{
	qer_alphafunc greater .5
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	q3map_offset 1
	{
		map textures/dfwc2018_decal/d_wall_damaged1a.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_keepout
{
	qer_editorimage textures/dfwc2018_decal/d_keepout.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_keepout.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ======================================================================
// Flame
// ======================================================================
textures/dfwc2018_flame/d_flame50
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 2500
	qer_editorimage textures/sfx/flame1.tga
	qer_trans .5

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}
// ======================================================================
// PLANTS
// ======================================================================
textures/dfwc2018_decal/d_grass1a
{
	qer_editorimage textures/dfwc2018_decal/d_grass1a.tga
	q3map_cloneShader textures/dfwc2018_decal/d_grass1a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 0.1
   {
		map textures/dfwc2018_decal/d_grass1a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_grass1a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/dfwc2018_decal/d_grass1a_back
{
	qer_editorimage textures/dfwc2018_decal/d_grass1a.tga

	q3map_invert
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 0.1
   {
		map textures/dfwc2018_decal/d_grass1a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_grass1a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/dfwc2018_decal/d_grass1b
{
	qer_editorimage textures/dfwc2018_decal/d_grass1b.tga
	q3map_cloneShader textures/dfwc2018_decal/d_grass1b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5

	deformVertexes wave 16 sin 0 1 0 0.1
	{
		map textures/dfwc2018_decal/d_grass1b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_grass1b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/dfwc2018_decal/d_grass1b_back
{
	qer_editorimage textures/dfwc2018_decal/d_grass1b.tga

	q3map_invert
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 0.1
   {
		map textures/dfwc2018_decal/d_grass1b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_grass1b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_leaf1a
{
	qer_editorimage textures/dfwc2018_decal/d_leaf1a.tga
	q3map_cloneShader textures/dfwc2018_decal/d_leaf1a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/dfwc2018_decal/d_leaf1a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_leaf1a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/dfwc2018_decal/d_leaf1a_back
{
	qer_editorimage textures/dfwc2018_decal/d_leaf1a.tga

	q3map_invert
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/dfwc2018_decal/d_leaf1a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_leaf1a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_leaf2a
{
	qer_editorimage textures/dfwc2018_decal/d_leaf2a.tga
	q3map_cloneShader textures/dfwc2018_decal/d_leaf2a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/dfwc2018_decal/d_leaf2a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_leaf2a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/dfwc2018_decal/d_leaf2a_back
{
	qer_editorimage textures/dfwc2018_decal/d_leaf2a.tga

	q3map_invert
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/dfwc2018_decal/d_leaf2a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/dfwc2018_decal/d_leaf2a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_rope_hanging
{
	qer_alphafunc greater .5
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	{
		map textures/dfwc2018_decal/d_rope_hanging.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_thicket
{
	qer_alphafunc greater .5
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	{
		map textures/dfwc2018_decal/d_thicket.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_spiderweb
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_spiderweb.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_vine_one
{
	qer_editorimage textures/dfwc2018_decal/d_vine_one.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_vine_one.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_vine1a
{
	qer_editorimage textures/dfwc2018_decal/d_vine1a.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_vine1a.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ----------------------------------------------------------------------
textures/dfwc2018_decal/d_vine1b
{
	qer_editorimage textures/dfwc2018_decal/d_vine1b.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
   	surfaceparm nonsolid
   	surfaceparm nomarks
        nopicmip
	polygonOffset
	{
		map textures/dfwc2018/nothing.tga   
		blendfunc blend
		tcmod scale 0 0
		depthFunc equal
	}
	{
		map textures/dfwc2018_decal/d_vine1b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


